- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ServiceResult Class Reference

The ServiceResult Class. More...

`#include <OSResult.h>`

Collaboration diagram for ServiceResult:

[legend]
List of all members.

## Public Member Functions
| ServiceResult ()
| Default constructor.
| ~ServiceResult ()
| Class destructor.
bool | IsEqual (ServiceResult *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
| ServiceResult ()
| Default constructor.
| ~ServiceResult ()
| Class destructor.
## Public Attributes
std::string | currentState
| a string describing the current state of the service
int | currentJobCount
| the number of jobs currently running
int | totalJobsSoFar
| total jobs processed so far
std::string | timeServiceStarted
| the time when the service was started
double | serviceUtilization
| service utilization
OtherResults * | otherResults
| a pointer to the OtherResults class

## Detailed Description

The ServiceResult Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that provides the system information that is defined in the OSrL schema.

Definition at line 408 of file OSResult.h.

## Constructor & Destructor Documentation

ServiceResult::ServiceResult | ( |  | ) |

Default constructor.

Definition at line 199 of file OSResult.cpp.

ServiceResult::~ServiceResult | ( |  | ) |

Class destructor.

Definition at line 213 of file OSResult.cpp.

References otherResults.

ServiceResult::ServiceResult | ( |  | ) |

Default constructor.

ServiceResult::~ServiceResult | ( |  | ) |

Class destructor.

## Member Function Documentation

bool ServiceResult::IsEqual | ( | ServiceResult * | that | ) |

A function to check for the equality of two objects.

Definition at line 5637 of file OSResult.cpp.

bool ServiceResult::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7428 of file OSResult.cpp.

References currentState, and OSRand().

## Member Data Documentation

std::string ServiceResult::currentState

a string describing the current state of the service

Definition at line 412 of file OSResult.h.

Referenced by OSResult::setCurrentState(), setRandom(), and OSrLWriter::writeOSrL().

int ServiceResult::currentJobCount

the number of jobs currently running

Definition at line 415 of file OSResult.h.

Referenced by OSResult::setCurrentJobCount(), and OSrLWriter::writeOSrL().

int ServiceResult::totalJobsSoFar

total jobs processed so far

Definition at line 418 of file OSResult.h.

Referenced by OSResult::setTotalJobsSoFar(), and OSrLWriter::writeOSrL().

std::string ServiceResult::timeServiceStarted

the time when the service was started

Definition at line 421 of file OSResult.h.

Referenced by OSResult::setTimeServiceStarted(), and OSrLWriter::writeOSrL().

double ServiceResult::serviceUtilization

service utilization

Definition at line 424 of file OSResult.h.

Referenced by OSResult::setServiceUtilization(), and OSrLWriter::writeOSrL().

OtherResults* ServiceResult::otherResults

a pointer to the OtherResults class

Definition at line 428 of file OSResult.h.

Referenced by OSResult::setNumberOfOtherServiceResults(), OSrLWriter::writeOSrL(), and ~ServiceResult().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSResult.cpp